-----------------------------------------------------------------------------
                             Softfood.sol
                               Walkthru
                          A Day for Soft Food       
-----------------------------------------------------------------------------

                               WARNING:
                           Spoilers imminent
                     Reading this may ruin the game!
            (You may wish to read only part of this document,                         
            or use the online hints available within the game.)

-----------------------------------------------------------------------------

The following is the shortest possible solution. The specific steps required
to thoroughly examine and explore the world have been omitted, though the
important steps are summarized in the explanations.

-----------------------------------------------------------------------------

PART I: HUNGER

OVERALL SITUATION: You're hungry, you've no food in your bowl, there's an
unopenable sack of hard food in the cupboard, your Provider snores on the
bed, and there seems to be no way to wake him without incurring his wrath.
It's an insoluble situation for now, so you'll have to look elsewhere
for food.

HUNTING THE BIRD: You must attack the bird after he lands on the snowy ground.
But the attacks fail because your dark fur stands out against the snow. 

  w.n.n.s.w
  roll in ash
  e.n
  attack bird
  get feather
  
WAKING PROVIDER: Now you have the essential item, the feather. If you examine
the Provider, you will notice that he faces east toward the billowy wall. If
you go under the blankets, you will also notice that he appears to be a bit
ticklish. You must get him to face away from the blinds before you open them.
Then you must get him to roll back into the light without him knowing you had
anything to do with it.

  s.s
  tickle provider with feather
  pull cord
  go under blankets
  tickle provider with feather

-NOTE: From now on, the Provider, in a fit of anger, may knock items from your
 mouth or hurl you in a random direction. If this happens, simply pick up the
 item, or retrace your steps.  

EATING HARD FOOD: Now it's simply a matter of letting your Provider know
that your food bowl is empty. 
  
  n.n.z
  mew
  eat hard food

-----------------------------------------------------------------------------

PART II: EXPLORATIONS

OVERALL SITUATION: After eating the hard food, you're sated, but not satisfied.
Examining your food bowl, you recall that on rare days, you receive soft food
from flat, shiny eggs. Perhaps if you could find one of these eggs, you could
satisfy your ultimate desire.

SHARPENING CLAWS: There's aspens, chestnut trees, even "eminantly climable"
oaks and elms that, oddly, you cannot climb. You've neglected your claws.
  
  n.e
  sharpen claws on aspen
  climb aspen

DRIVING OFF YOUR RIVAL: The most formidable obstacle to your explorations is
your Rival. In general, you falter in the face of his ferocious attacks, and
suffer the indignity of his eating from your very own food bowl. Specifically,
he prevents you from going southwest from his wood, which appears to be a
viable direction.      

Since the Rival is larger and fiercer than you, you must set a trap. The
first element, the bait, is your hard food, of which he seems fond enough.
The second element is the rotting log, which, when pushed, proves be full
of stinging insects. The remaining elements are a hole in the snow, a
piece of bark to cover it with, and the snow itself to cover the bark.
  
  get bark
  s.w
  dig hole
  roll log into hole
  cover hole with bark
  s.w.n.s
  get food
  n.w.s.w
  cover bark with snow
  put morsel on mound

SEARCHING THE EMBANKMENT: You head southwest over the embankment, but there's
no obvious egress. Use your nose (or alternatively, your ears) to discover a
tunnel among the shadowy nooks.

  s.sw
  smell shadows             (listen to shadows)
  enter dung-scented nook   (enter pitter-pattery nook)

EXPLORING THE BEAST'S CAVE: It shouldn't take you long to find the basket, and
the white box within begs pressing. A bolt glints on the huge door as it opens
completely. This proves to be the key to gaining access to the high, shadowy
shelf.

  n
  get basket
  hang basket on bolt
  enter basket
  press box
  z.out.e
  get egg
  w.w
  press box
  drop egg
  out
  get basket
  press box

RETRIEVING THE BALLOON: Since the aspens are unclimable, the high window must
be opened from within. On the sill, you notice a gap beneath the window. When
the Provider is absent, you can snatch a useful piece of kindling from his
wood pile.

  w.n
  (wait, if necessary, for Provider to leave)
  get wood
  s.s.e
  put kindling in gap
  stand on kindling
  e.e
  get balloon

-----------------------------------------------------------------------------

PART III: END GAME

OVERALL SITUATION: You now have everything you need to open the magic egg,
and alas, devour the soft food within. But are your mounting sins against
the Provider pushing him over the edge?

EATING SOFT FOOD: Hearing high-pitched laughter, you discover a frolicking
boy beyond the fence. If you show the shiny egg to the boy, he is simpathetic
but unable to stick more than a finger through the fence. He is most
interested in the balloon, but again, the fence is too great a barrier.

You attempt to float the balloon to the boy, but it drifts off in a random
direction. From the roof, you can easily gauge the wind, so you wait for it
to blow north towards the boy. But, unweighted, the balloon floats up and
away before he can retrieve it.

A twig is knotted in the balloon's string. You have discovered a jangly ring
in the Beast's cave; the shiny egg, also, bears a ring. By pushing the twig
through either ring, these may be attached to the red balloon. Of course,
the shiny ring is the important one, and the key to your quest for soft food.

  d.n
  push twig through shiny ring   (tie egg to balloon)
  s.w.u
  (wait for wind to blow north:)
  z.z.z.z.z.z.z.z 
  drop balloon
  d.e.n
  mew
  eat soft food

DEFEATING THE CREATURE: Upon entering the cottage, it seems you have finally
driven your Provider over the edge. But both of you are surprised by your
Rival's return. Now a hideous and hateful creature, he refuses to be shooed
by the angry Provider, who falls to the floor as his heart fails him. 

The creature now stalks you relentlessly. The trees and the FoodRoom's ledge
offer the only reprieve, though he waits for you below. Since the creature's
incessant attacks prevent you from picking anything up, there is only one item
that can help you. 

  s.u
  open cupboard
  u
  push monstrous sack on creature
  
BUILDING A BEACON: You can't help the Provider, but maybe someone else can.
The Canopy Trail offers the best hope of contact. If you could build a big
enough beacon, perhaps you could slow the oncoming headlights. The Provider's
crackling new fire provides the flame, the kindling provides the means to
transport it, and the flannel shirt soaked in beast's blood provides the fuel.   

  d.d.e
  get shirt
  w.n.w.e
  go under beast
  put shirt in pool
  w.w.w
  drop shirt
  e.n.s.s
  get kindling
  n.w
  light kindling with fire
  get kindling
  e.n.w.w
  drop kindling on shirt

-NOTE: Tattered cloth, which can be obtained and re-obtained by raking the
 billowy wall, may be used instead of the shirt. The bark, which can be
 obtained again and again by climbing any tree, may be used instead of
 the kindling. Therefore, an unlimited number of fires can be built
 without procluding the possibility of building one in the Canopy Trail
 (though starting a fire indoors is not recommended).

SAVING THE PROVIDER: Now it's simply a matter of leading the figure to the
Provider, though the figure will need the keys to get inside.

  (wait for Figure to appear:)
  z.z.z
  mew
  e.n
  give jangly ring to figure
  s

THE END

-----------------------------------------------------------------------------

TO FAST-FORWARD THE STORY, copy some or all of the following commands into a
file, restart the game, type "REPLAY", and then enter the name of the file.

-----------------------------------------------------------------------------

  w.n.n.s.w
  roll in ash
  e.n
  attack bird
  get feather

  s.s
  tickle provider with feather
  pull cord
  go under blankets
  tickle provider with feather

  n.n.z
  mew
  eat hard food

  n.e
  sharpen claws on aspen
  climb aspen

  get bark
  s.w
  dig hole
  roll log into hole
  cover hole with bark
  s.w.n.s
  get food
  n.w.s.w
  cover bark with snow
  put morsel on mound

  s.sw
  smell shadows 
  enter dung-scented nook

  n
  get basket
  hang basket on bolt
  enter basket
  press box
  z.out.e
  get egg
  w.w
  press box
  drop egg
  out
  get basket
  press box

  w.n
  get wood
  s.s.e
  put kindling in gap
  stand on kindling
  e.e
  get balloon

  d.n
  tie egg to balloon
  s.w.u
  z.z.z.z.z.z.z.z 
  drop balloon
  d.e.n
  mew
  eat soft food

  s.u
  open cupboard
  u
  push monstrous sack on creature

  d.d.e
  get shirt
  w.n.w.e
  go under beast
  put shirt in pool
  w.w.w
  drop shirt
  e.n.s.s
  get kindling
  n.w
  light kindling with fire
  get kindling
  e.n.w.w
  drop kindling on shirt

  z.z.z
  mew
  e.n
  give jangly ring to figure
  s